commit:     a3653f104325e48963deb241fd0a8867e516f76f
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Sun Jan  8 23:18:30 2017 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Sun Jan  8 23:18:30 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=a3653f10

sci-biology/vt: new package, uses static libs

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 sci-biology/vt/metadata.xml   | 12 ++++++++++
 sci-biology/vt/vt-9999.ebuild | 51 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/sci-biology/vt/metadata.xml b/sci-biology/vt/metadata.xml
new file mode 100644
index 0000000..f68a1b6
--- /dev/null
+++ b/sci-biology/vt/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>mmokr...@fold.natur.cuni.cz</email>
+    <name>Martin Mokrejs</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>sci-biol...@gentoo.org</email>
+    <name>Gentoo Biology Project</name>
+  </maintainer>
+</pkgmetadata>

diff --git a/sci-biology/vt/vt-9999.ebuild b/sci-biology/vt/vt-9999.ebuild
new file mode 100644
index 0000000..ca197d3
--- /dev/null
+++ b/sci-biology/vt/vt-9999.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit git-r3 toolchain-funcs
+
+DESCRIPTION="A tool set for short variant discovery in genetic sequence data"
+HOMEPAGE="https://github.com/atks/vt
+       http://genome.sph.umich.edu/wiki/vt";
+EGIT_REPO_URI="https://github.com/atks/vt.git";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS=""
+IUSE="pdf"
+
+DEPEND=""
+RDEPEND="${DEPEND}
+       pdf? ( dev-texlive/texlive-latex )"
+#      >=sci-libs/htslib-1.3.2
+#      dev-cpp/tclap
+#      sci-libs/libsvm
+#      dev-libs/libpcre
+#      https://github.com/atks/Rmath
+
+# The 3rd party stuff is bundled because they have special modifications that
+# I made for vt, so it is probably not a good idea to depend on installed 
components.
+# For example TCLAP is modified partially, libsvm has some minor input/output 
format changes,
+# Rmath has the header inclusion to always generate the .a object file
+
+# Compiles statically bundled version of htslib and Rmath, only libpcre2 is 
dynamically linked
+src_prepare(){
+       sed -e "s/= -O3/= ${CFLAGS}/" -i Makefile || die
+       sed -e 's/^CXX = /CXX ?= /' -i Makefile || die
+       sed -e "s/-g -Wall -O2/${CFLAGS}/" -i lib/htslib/Makefile || die
+       sed -e "s/= gcc/= $(tc-getCC)/" -i lib/htslib/Makefile || die
+       sed -e "s/gcc -g -O3/$(tc-getCC) ${CFLAGS}/" -i lib/pcre2/Makefile || 
die
+       sed -e "s/-Wall -O3 -fPIC/${CXXFLAGS} -fPIC/" -i lib/libsvm/Makefile || 
die
+#      # TODO zap bundled version of:
+#      #       lib/htslib  (version 1.3)
+#      #       lib/tclap
+#      #       lib/Rmath
+#      #       lib/libsvm
+#      #       lib/pcre2
+}
+
+src_install(){
+       dobin vt
+}

Reply via email to